#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS=${EXTRA_DH_OPTIONS}

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

SPLIT=10

export QT_SELECT=qt5

export PYBUILD_SYSTEM=custom
export PYBUILD_CONFIGURE_ARGS={interpreter} /usr/bin/sip-build --verbose --no-make \
	--target-dir /usr/lib/python3/dist-packages \
	--build-dir {build_dir} --pep484-pyi \
	--concatenate $(SPLIT) \
	--qmake-setting 'QMAKE_CXXFLAGS += "$(CXXFLAGS) $(CPPFLAGS)"' \
	--qmake-setting 'QMAKE_LFLAGS += "$(LDFLAGS)"'
export PYBUILD_BUILD_ARGS=$(MAKE) -C {build_dir}
export PYBUILD_INSTALL_ARGS=$(MAKE) -C {build_dir} install INSTALL_ROOT=$(CURDIR)/debian/tmp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_strip:
	dh_strip -ppython3-pyqt5.qtchart --dbgsym-migration='python3-pyqt5.qtchart-dbg (<< 5.15.4+dfsg-1~)'

override_dh_installdocs:
	dh_installdocs -A NEWS
